core.messaging / MessagingService / removeMessageHandler

# removeMessageHandler

`abstract fun removeMessageHandler(registration: MessageHandlerRegistration): Unit`

Removes a handler given the object returned from addMessageHandler. The callback will no longer be invoked once this method has returned, although executions that are currently in flight will not be interrupted.

### Exceptions

`IllegalArgumentException` - if the given registration isnt valid for this messaging service.
`IllegalStateException` - if the given registration was already de-registered.